collections:
  - label: "Pages"
    name: "pages"
    editor:
      preview: false
    
    files:
      - label: "Home Page"
        name: "home"
        file: "src/content/home.json"
        fields:
          - label: 'background image'
            name: 'background_image'
            widget: "image"

          - label: 'Top Section Cities'
            name: 'hero_cities'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml' 
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'
          
          - label: 'Trusted By Section'
            name: 'trusted_by'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml' 
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'

          - label: 'Header Links (YAML format)'
            name: 'header_links'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml' 
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'
  
      - label: "Landing Page"
        name: "landing"
        file: "src/content/landing.json"
        fields:
          - label: 'background image'
            name: 'background_image'
            widget: "image"

          - label: 'Cities (All the cities landing page should be built for)'
            name: 'cities'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml' 
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'
          
          - label: 'Locations section'
            name: 'locations_section'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml' 
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'
  
  - label: "Global Data"
    name: "global_data"
    editor:
      preview: false
    files:
      - label: "FAQs"
        name: "faqs"
        file: "src/content/faqs.json"
        fields:
          - label: 'FAQs'
            name: 'faqs'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml' 
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'

      - label: "Testimonials"
        name: "testimonials"
        file: "src/content/testimonials.json"
        widget: "list"
        summary: '{{fields.quote}} - {{fields.author.name}}'
        fields:
          - label: 'Testimonials'
            name: 'testimonials'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml' 
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'
          
      
      - label: "Fancy Animation Images"
        name: "fancy_animation_images"
        file: "src/content/fancy_animation_images.json"
        widget: "list"
        summary: '{{fields.quote}} - {{fields.author.name}}'
        fields:
          - label: 'Fancy Animation Images'
            name: 'fancy_animation_images'
            widget: 'code'
            output_code_only: false
            default_language: 'yaml'
            allow_language_selection: false
            options:
              tabSize: 2
              theme: 'default'
              mode: 'application/json'

  - label: "Blogs"
    name: "blogs"
    folder: "src/content/blogs"
    create: true
    slug: "{{slug}}"
    editor:
      preview: false
    fields:
      - label: "Title"
        name: "title"
        widget: "string"
        required: true

      - label: "Slug"
        name: "slug"
        widget: "string"
        required: true
        hint: "URL-friendly version of title (e.g., my-blog-post)"

      - label: "Description"
        name: "description"
        widget: "text"
        required: true
        hint: "Short excerpt for blog list page"

      - label: "Featured Image"
        name: "featured_image"
        widget: "image"
        required: true
        media_folder: "/public/uploads/blogs"
        public_folder: "/uploads/blogs"

      - label: "Category"
        name: "category"
        widget: "select"
        required: true
        options:
          - "Virtual Office"
          - "GST Registration"
          - "Business Registration"
          - "Startup Guide"
          - "Tax & Compliance"
          - "Coworking"
          - "Industry News"

      - label: "Author"
        name: "author"
        widget: "string"
        default: "Team Cowork"
        required: true

      - label: "Publish Date"
        name: "date"
        widget: "datetime"
        required: true
        date_format: "YYYY-MM-DD"
        time_format: false

      - label: "Content"
        name: "body"
        widget: "markdown"
        required: true

      - label: "SEO Keywords"
        name: "keywords"
        widget: "list"
        required: false
        hint: "Keywords for SEO"

      - label: "Published"
        name: "published"
        widget: "boolean"
        default: true

  - label: "Cities"
    name: "cities_collection"
    folder: "src/content/cities_data"
    create: true
    slug: "{{url_name}}"
    format: "json"
    extension: "json"
    editor:
      preview: false
    fields:
      - label: "City Name"
        name: "name"
        widget: "string"
        required: true
        hint: "Full name of the city (e.g., Mumbai)"

      - label: "URL Name"
        name: "url_name"
        widget: "string"
        required: true
        hint: "URL-friendly version (e.g., mumbai)"

      - label: "City Image"
        name: "image"
        widget: "image"
        required: true
        hint: "Featured image for the city"

      - label: "Page Title"
        name: "page_title"
        widget: "string"
        required: true
        hint: "SEO title for the city page"

      - label: "Page Description"
        name: "page_description"
        widget: "text"
        required: true
        hint: "SEO description for the city page"

      - label: "Heading 2"
        name: "heading_2"
        widget: "string"
        required: false
        hint: "SEO heading 2 for the city page"

      - label: "Head HTML"
        name: "head_html"
        widget: "code"
        required: false
        default_language: "html"
        allow_language_selection: false
        output_code_only: true
        hint: "Custom HTML to inject in the <head> tag for this city page (e.g., meta tags, schemas)"

      - label: "City-Specific FAQs"
        name: "faqs"
        widget: "code"
        required: false
        default_language: "yaml"
        allow_language_selection: false
        output_code_only: true
        hint: "YAML format for city-specific FAQs. Example:\n- question: What is the best time to visit?\n  answer: The best time is during the winter."

      - label: "City Footer Content"
        name: "footer_content"
        widget: "markdown"
        required : false
        hint: "(SEO)Enter content to be displayed in the footer for this city."
      
      - label: "Locations"
        name: "locations"
        widget: "list"
        required: true
        fields:
          - label: "Location Name"
            name: "name"
            widget: "string"
            required: true

          - label: "Area"
            name: "area"
            widget: "string"
            required: false
            hint: "Area or neighborhood (e.g., Bandra Kurla Complex, Connaught Place)"

          - label: "URL Name"
            name: "url_name"
            widget: "string"
            required: true
            hint: "URL-friendly version (e.g., bandra-kurla-complex)"

          - label: "Title"
            name: "title"
            widget: "string"
            required: true
            hint: "SEO title for the location page"

          - label: "Description"
            name: "description"
            widget: "text"
            required: true
            hint: "SEO description for the location page"

          - label: "Images"
            name: "images"
            widget: "code"
            required: true
            default_language: "yaml"
            allow_language_selection: false
            output_code_only: true
            hint: "YAML format - Example:\n- url: https://example.com/image1.jpg\n  alt: Description of image 1\n- url: https://example.com/image2.jpg\n  alt: Description of image 2"

          - label: "Pricing"
            name: "pricing"
            widget: "code"
            required: false
            default_language: "yaml"
            allow_language_selection: false
            output_code_only: true
            hint: "YAML format - Leave empty to use default pricing. Example:\nbusiness_registration:\n  1: 12999\n  2: 24999\n  3: 35999\n  5: 57999\ngst_registration:\n  1: 12999\n  2: 24999"

  - label: "Pricing"
    name: "pricing"
    editor:
      preview: false
    files:
      - label: "Default Pricing"
        name: "default_pricing"
        file: "src/content/pricing.json"
        fields:
          - label: "Default Pricing (YAML)"
            name: "default_pricing"
            widget: "code"
            required: true
            default_language: "yaml"
            allow_language_selection: false
            output_code_only: true
            hint: "Define default pricing for all locations. Example:\nbusiness_registration:\n  1: 12999\n  2: 24999\n  3: 35999\n  5: 57999\ngst_registration:\n  1: 12999\n  2: 24999"



media_folder: "public/uploads" # Location where files will be stored in the repo
public_folder: "/uploads" # The src attribute for uploaded media

publish_mode: editorial_workflow

display_url: https://tcw-website.netlify.app

# local_backend: true # when using the default proxy server port 8081

backend:
  name: git-gateway
  branch: main 
  commit_messages:
    create: "Create {{collection}} “{{slug}}”"
    update: "Update {{collection}} “{{slug}}”"
    delete: "Delete {{collection}} “{{slug}}”"
    uploadMedia: "Upload “{{path}}”"
    deleteMedia: "Delete “{{path}}”"
    openAuthoring: "{{message}} via GitHub PR by {{author}}"
